<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8"/>
    <meta name="viewport" content="width=device-width, initial-scale=1.0"/>
    <title>AimiAutomation Image Library - Bootstrap</title>
    <link rel="stylesheet" href="css/styles.css"/>
    <script defer src="js/script.js"></script>
  </head>
  <body>
    <div class="container-fluid pt-3 pb-3">

      <!-- Progress Bar while api fetch images -->
      <div class="aimi-gallery-progress">
        <div class="progress " role="progressbar" aria-valuenow="25" aria-valuemin="0" aria-valuemax="100">
          <div class="progress-bar  progress-bar-striped  bg-primary progress-bar-animated"></div>
        </div>
      </div>

      <!-- Image Gallery Grid -->
      <div class="row row-cols-1 row-cols-sm-2 row-cols-md-3 row-cols-lg-4 row-cols-xl-5 row-cols-xxl-6 g-3"
           id="aimi-image-grid"></div>

      <!-- Image Gallery observer to load more image items -->
      <div id="aimi-lazy-loader"></div>

      <!-- Image Maximized modal -->
      <div class="modal fade" id="imageMaximizedModal" tabindex="-1" aria-labelledby="imageMaximizedModal" aria-hidden="true">
        <div class="modal-dialog modal-dialog-centered modal-md ">
          <div class="modal-content">
            <div class="modal-header">
              <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
            </div>
            <div class="modal-body text-center min-vh-25">
              <div class="spinner-border spinner-border-sm"></div>
              <div class="image-container"></div>
            </div>
          </div>
        </div>
      </div>

    </div>
  </body>
</html>
